#
# System notifications
#

{ config, lib, pkgs, ... }:

{
  services.matrix-synapse = {
    enable = true;
    settings = {
        server_name = "kabtop.de";
        public_baseurl = "https://kabtop.de:8448";
        database.args.user = "synapse";
        database.args.database = "synapsedb";
        extraConfigFiles = [
            config.age.secrets."services/matrix/synapse.yml".path
        ];
    };

}
